-- Die LUA Datei muss den gleichen Basisnamen wie das Szenario haben, z.B. bei "Sz.map": "Sz.lua".
-- Im Editor in "Edit -> Triggers" dafr ntig:
-- Name (Name des Triggers z.B. T1)
-- Count (0 bedeutet immer, 1=einmal, 2=zweimal, ...)
-- unter Condition: Name_Bedingung z.B. B1 (Name im Editor und hier mssen bereinstimmen)
-- 	(Typisch fr "Condition": CaptureFlagAction; StartTurnAction oder EndTurnAction) 
-- unter Function: Name_Funktion z.B. F1 (Name im Editor und hier mssen bereinstimmen)

--function B1()			-- Bedingung im Editor: Trigger Flaggennderung
--	hex = world:GetHex({13,8})	-- Variable Hexfeld
--	return hex.owner <> 31	-- Abfrage von Besitzer des Hexfelds (0=deutsch; 27=Nat.-Spanien; 31=Republik Spanien)
--end


function B1()			-- Bedingung im Editor: Trigger Rundenende
	return world.round == 6		-- Runde 5 definieren
end

titel = "Warnung"
message1 = "Es wurden neue Feindflugzeuge im Westen gesichtet."

function F1()		-- neue Einheit erzeugen und platzieren + Ausgabe Nachricht 
	local feld = {3,15}			-- Ort
	local einheit = "SRI16"		-- ID von spanisch-republikanisch I-16, siehe units.csv
	local player = world:GetPlayer(1)	-- welcher Spieler? (hier: 2.Spieler=Feind)
	local create_action = world:MakePurchaseAction(player, einheit, "", 0)	-- Einkauf welcher Einheit?
	create_action.auxiliary = false		-- Hilfs- oder Kerneinheit? (Kerneinheit)
	create_action.cost = 0			-- Preis? 0
	world:Exec(create_action)			-- Kaufaktion!
	local unit = world:GetUnit(create_action.id)	-- welche Einheit?
	local hex = world:GetHex(feld)			-- welches Hex?
	if (hex:GetUnit(0) == nil) then		-- prfen, ob Hex frei ist
		deploy_action = world:MakeDeployAction(unit,feld)	-- definieren, was wo platziert wird
		world:Exec(deploy_action)						-- Platzierung der Einheit!
	end

	local feld = {4,16}
	local einheit = "SRTupolevSB"
	local player = world:GetPlayer(1)	-- welcher Spieler? (hier: 2.Spieler=Feind)
	local create_action = world:MakePurchaseAction(player, einheit, "", 0)	-- Einkauf welcher Einheit?
	create_action.auxiliary = false		-- Hilfs- oder Kerneinheit? (Kerneinheit)
	create_action.cost = 0			-- Preis? 0
	world:Exec(create_action)			-- Kaufaktion!
	local unit = world:GetUnit(create_action.id)	-- welche Einheit?
	local hex = world:GetHex(feld)			-- welches Hex?
	if (hex:GetUnit(0) == nil) then		-- prfen, ob Hex frei ist
		deploy_action = world:MakeDeployAction(unit,feld)	-- definieren, was wo platziert wird
		world:Exec(deploy_action)						-- Platzierung der Einheit!
	end

	MessageBox(titel, message1)		-- Ausgabe Nachricht
end
